import { isMac as _isMac } from './navigatorUtils.js';
export interface KeyComboEvent {
    ctrlKey: boolean;
    metaKey: boolean;
    altKey: boolean;
    shiftKey: boolean;
    key: string;
}
/**
 * Get the active key combination from a keyboard event.
 * For example returns "Ctrl+Shift+ArrowUp" or "Ctrl+A"
 *
 * Returns the same output on both Windows and Mac:
 * meta keys "Ctrl" ("Command" on Mac), and "Alt" ("Alt" or "Option" on Mac)
 * So pressing "Command" and "A"on Mac will return "Ctrl+A"
 */
export declare function keyComboFromEvent(event: KeyComboEvent, separator?: string, isMac?: typeof _isMac): string;
/**
 * Test whether the Ctrl key (windows, linux) or Command key (mac) is down
 */
export declare function isCtrlKeyDown(event: {
    ctrlKey: boolean;
    metaKey: boolean;
}, isMac?: typeof _isMac): boolean;
